"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const vuexPersistedstate_es = require("../../../node_modules/vuex-persistedstate/dist/vuex-persistedstate.es.js");
const vuex_esmBundler = require("../../../node_modules/vuex/dist/vuex.esm-bundler.js");
const designer = require("./designer.js");
const store = vuex_esmBundler.default.createStore({
  plugins: [
    vuexPersistedstate_es.default({
      key: "fec-dev-designer",
      storage: window.sessionStorage
    })
  ],
  state: designer.state,
  getters: designer.getters,
  mutations: designer.mutations,
  actions: {},
  modules: {}
});
exports.default = store;
